<?php
// Include Global Functions and configurations
require('config.php');

// Standard Security Checks
if (!$_SESSION['logged_in'] && !$guest_question)
	die('You must be logged into create a new topic!');

// Captcha verification
if($captcha &&(
	($captcha_guests && !$_SESSION['logged_in']) || // Checks Guest Permissions
	($captcha_members && $_SESSION['logged_in']) || // Checks Member Permissions
	($captcha_admin && in_array($_SESSION['username'],$admin_users)) // Checks Admin Permissions
		)) {
	require ("inc/{$captcha}.class.php"); // Include captcha module
	$cap->ValidateCAPTCHA();
}

// get data that sent from form
if($censor){
	// Include badwords function
	require('inc/badwords.class.php');
	// Execute file
	$_POST['topic'] = filterBadWords($_POST['topic']);
	$_POST['detail'] = filterBadWords($_POST['detail']);
}
// Check and execute BBcode
if($bbcode) {
	$_POST['detail'] = htmlentities($_POST['detail']);
	$_POST['detail'] = preg_replace ($bb_search, $bb_replace, $_POST['detail']);
}
$_POST['detail']=nl2br($_POST['detail']);

$topic=mysql_real_escape_string($_POST['topic']);
$detail=mysql_real_escape_string($_POST['detail']);

if (!$topic)
	die("Topic missing.");

if (!$detail)
	die("Thread body missing.");

	
// Check if user is guest or not
if($guest_question && !$_SESSION['logged_in']){
	if (empty($_POST['name']))
		die("User name is missing");
	$name='guest_'.mysql_real_escape_string($_POST['name']);
	
	$match = preg_match('/\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/', $_POST['email']);
	if ($guest_email && !$match)
		die('Please enter a valid e-mail address');
	if($match)
		$email=mysql_real_escape_string($_POST['email']).'|'.$_SERVER['REMOTE_ADDR'];
	else
		$email=$_SERVER['REMOTE_ADDR'];
}else{
	$name=$_SESSION['username'];
	$email=$_SESSION['email'];
}

if(in_array($_SESSION['username'],$admin_users)) {
	$sticky=($_POST['sticky'])?1:0;
	$locked=($_POST['locked'])?1:0;
} else {
	$locked=0;
	$sticky=0;
}

$datetime=date("d/m/y H:i:s"); //create date time

// Here's were we run the post through the Akismet Spam Filter
if($akismet_spam_filter) {
	// Include Akismet Anti-Spam filter
	require('inc/akismet.class.php');
		$comment = array(
		'author'	=> $name,
		'email'		=> $email,
		'body'		=> $detail
	 );

	$akismet = new Akismet($siteurl, $akismet_api_key, $comment);

	if($akismet->isSpam())
		die("Sorry, but your message has been detected as being spam and therefore cannot be posted.");
}

$sql="INSERT INTO {$db_prefix}question(topic, detail, name, email, datetime, locked, sticky)VALUES('$topic', '$detail', '$name', '$email', '$datetime', '$locked', '$sticky')";

if(mysql_unbuffered_query($sql)){
	header("Location: main_forum.php");
} else {
	echo "ERROR";
}
?>
